> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dataset From Jira



## OpenAPI

````yaml /api-reference/openapi.json post /api/integrations/jira/datasets
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/integrations/jira/datasets:
    post:
      tags:
        - integrations
      summary: Create Dataset From Jira
      operationId: create_dataset_from_jira_api_integrations_jira_datasets_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JiraDatasetCreateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JiraDatasetCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    JiraDatasetCreateRequest:
      properties:
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        repo_url:
          type: string
          title: Repo Url
        repo_access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Access Token
        dataset_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Type
        dimension:
          anyOf:
            - type: string
            - type: 'null'
          title: Dimension
        image_specificity:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Specificity
          default: fine
        webhook_on_complete:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Webhook On Complete
        webhook_on_failure:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Webhook On Failure
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        jira_issue_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Jira Issue Key
      type: object
      required:
        - repo_url
      title: JiraDatasetCreateRequest
    JiraDatasetCreateResponse:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        dataset_name:
          type: string
          title: Dataset Name
        status:
          type: string
          title: Status
        dataset_dir:
          type: string
          title: Dataset Dir
      type: object
      required:
        - dataset_id
        - dataset_name
        - status
        - dataset_dir
      title: JiraDatasetCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````